<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>CMAWebService</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CMAWebService";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CMAWebService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/services/CorpusService.html" title="class in fr.inria.alpage.frmgcm.services"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/services/CMAWebService.html" target="_top">Frames</a></li>
<li><a href="CMAWebService.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_fr.inria.alpage.frmgcm.server.FRMGCMService">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.services</div>
<h2 title="Class CMAWebService" class="title">Class CMAWebService</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server">fr.inria.alpage.frmgcm.server.FRMGCMService</a></li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.services.CMAWebService</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">CMAWebService</span>
extends <a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMService</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_fr.inria.alpage.frmgcm.server.FRMGCMService">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;fr.inria.alpage.frmgcm.server.<a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMService</a></h3>
<code><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html#uriPattern">uriPattern</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/services/CMAWebService.html#CMAWebService()">CMAWebService</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/services/CMAWebService.html#CMAWebService(java.lang.String)">CMAWebService</a></strong>(java.lang.String&nbsp;uriPattern)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/services/CMAWebService.html#handleRequest(org.apache.http.HttpRequest,%20java.lang.String,%20org.apache.http.HttpEntity,%20org.apache.http.HttpResponse,%20org.apache.http.protocol.HttpContext,%20java.lang.StringBuilder)">handleRequest</a></strong>(org.apache.http.HttpRequest&nbsp;request,
             java.lang.String&nbsp;requestedURI,
             org.apache.http.HttpEntity&nbsp;entity,
             org.apache.http.HttpResponse&nbsp;response,
             org.apache.http.protocol.HttpContext&nbsp;context,
             java.lang.StringBuilder&nbsp;test)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/services/CMAWebService.html#route(java.lang.String[],%20com.mongodb.BasicDBObject,%20com.mongodb.BasicDBObject,%20java.lang.String)">route</a></strong>(java.lang.String[]&nbsp;route,
     com.mongodb.BasicDBObject&nbsp;getValues,
     com.mongodb.BasicDBObject&nbsp;postValues,
     java.lang.String&nbsp;method)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CMAWebService()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CMAWebService</h4>
<pre>public&nbsp;CMAWebService()</pre>
</li>
</ul>
<a name="CMAWebService(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CMAWebService</h4>
<pre>public&nbsp;CMAWebService(java.lang.String&nbsp;uriPattern)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="handleRequest(org.apache.http.HttpRequest, java.lang.String, org.apache.http.HttpEntity, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext, java.lang.StringBuilder)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handleRequest</h4>
<pre>public&nbsp;void&nbsp;handleRequest(org.apache.http.HttpRequest&nbsp;request,
                 java.lang.String&nbsp;requestedURI,
                 org.apache.http.HttpEntity&nbsp;entity,
                 org.apache.http.HttpResponse&nbsp;response,
                 org.apache.http.protocol.HttpContext&nbsp;context,
                 java.lang.StringBuilder&nbsp;test)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html#handleRequest(org.apache.http.HttpRequest,%20java.lang.String,%20org.apache.http.HttpEntity,%20org.apache.http.HttpResponse,%20org.apache.http.protocol.HttpContext,%20java.lang.StringBuilder)">handleRequest</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMService</a></code></dd>
</dl>
</li>
</ul>
<a name="route(java.lang.String[], com.mongodb.BasicDBObject, com.mongodb.BasicDBObject, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>route</h4>
<pre>private&nbsp;java.lang.Object&nbsp;route(java.lang.String[]&nbsp;route,
                     com.mongodb.BasicDBObject&nbsp;getValues,
                     com.mongodb.BasicDBObject&nbsp;postValues,
                     java.lang.String&nbsp;method)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CMAWebService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/services/CorpusService.html" title="class in fr.inria.alpage.frmgcm.services"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/services/CMAWebService.html" target="_top">Frames</a></li>
<li><a href="CMAWebService.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_fr.inria.alpage.frmgcm.server.FRMGCMService">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
